### Hierarchy

- DrawerItemsProps

## Index

### Properties

- activeBackgroundColor
- activeItemKey
- activeLabelStyle
- activeTintColor
- drawerPosition
- getLabel
- iconContainerStyle
- inactiveBackgroundColor
- inactiveLabelStyle
- inactiveTintColor
- itemStyle
- items
- itemsContainerStyle
- labelStyle
- navigation
- onItemPress
- renderIcon

## Properties

### Optional activeBackgroundColor

activeBackgroundColor: undefined | string

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:9

### Optional activeItemKey

activeItemKey: undefined | string

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:7

### Optional activeLabelStyle

activeLabelStyle: StyleProp<TextStyle>

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:18

### Optional activeTintColor

activeTintColor: undefined | string

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:8

### drawerPosition

drawerPosition: "left" | "right"

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:21

### getLabel

getLabel: (scene: DrawerScene) => React.ReactNode | string

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:12

#### Type declaration

- - (scene: DrawerScene): React.ReactNode | string

  - #### Parameters

    - ##### scene: DrawerScene

    #### Returns React.ReactNode | string

### Optional iconContainerStyle

iconContainerStyle: StyleProp<ViewStyle>

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:20

### Optional inactiveBackgroundColor

inactiveBackgroundColor: undefined | string

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:11

### Optional inactiveLabelStyle

inactiveLabelStyle: StyleProp<TextStyle>

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:19

### Optional inactiveTintColor

inactiveTintColor: undefined | string

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:10

### Optional itemStyle

itemStyle: StyleProp<ViewStyle>

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:16

### items

items: RouteConfig[]

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:6

### Optional itemsContainerStyle

itemsContainerStyle: StyleProp<ViewStyle>

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:15

### Optional labelStyle

labelStyle: StyleProp<TextStyle>

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:17

### navigation

navigation: NavigationActionsObject

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:5

### onItemPress

onItemPress: (info: DrawerItem) => void

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:14

#### Type declaration

- - (info: DrawerItem): void

  - #### Parameters

    - ##### info: DrawerItem

    #### Returns void

### renderIcon

renderIcon: (scene: DrawerScene) => React.ReactNode

- Defined in src/navigators/DrawerNavigator/DrawerItems.ts:13

#### Type declaration

- - (scene: DrawerScene): React.ReactNode

  - #### Parameters

    - ##### scene: DrawerScene

    #### Returns React.ReactNode

Generated using TypeDoc